HPD-15 Librarian Help

Help for the HPD-15 Handsonic Librarian

by Glenn Meader the latest version is downloadable from http://www.chromakinetics.com/handsonic

Overview

Version 0.2.1 as of Jan 2, 2008 - a very preliminary Visual Basic program for displaying instrument assignments for preset patches. This program may not work correctly - it is still under development!

It has all the info about the preset patches built-in. Just choose a patch to view from the pull-down list [P01-01 Latin - Conga] shown in the screenshot below. If you hook up your computer MIDI interface to the Handsonic, the displayed patch will follow the patch currently selected on the Handsonic.It reacts to program and bank change MIDI messages from the Handsonic - showing you a chart for the currently selected patch. So far, it only shows info about the preset patches, not the user patches. However, it currently can get and display the Temporary Patch (the current patch, as edited, that is active on the pads) and System Settings info from the Handsonic via MIDI. (I hope to eventually make this into a complete HPD-15 librarian).

This program works fine without a MIDI interface, however, it can then only display built-in preset patch info.

To enable MIDI, first you have to choose MIDI Settings on the MIDI menu and choose the correct MIDI In and MIDI Out devices. The software remembers settings from the last session, so you may not have to do MIDI setup again unless your hardware MIDI ports have changed.

After you have clicked Ok, identification information about a connected Handsonic is retrieved via MIDI and displayed at the bottom of the Handsonic Librarian diagram where "MIDI Monitor" is normally displayed.

On the MIDI menu, Detect device displays device identification info about the Handsonic.

The other options retrieve patch and system setting information from the Handsonic via MIDI. A Report window is displayed with the retrieved info (which may be printed out). The info is also displayed in other "graphical" dialog windows.

Note: Get User Patches from Handsonic does not currently work.

On the File menu, Print Screen will print the current patch on your printer like the picture below. Print Handsonic Form will print a blank form with no Instrument names. Print Report is not implemented yet, but reports are displayed when you do a Get Temporary Patch from Handsonic or Get System Settings from Handsonic.

View Menu: Current Patch Details

Displays the Edit Patch dialog. If MIDI is enabled, the details of the current "temporary" patch will be read from the Handsonic and displayed in this dialog. The tabs at the top allow you to view the settings for each pad, ribbon, trigger, etc.

Eventually, you will be able to change these settings and send them back to the Handsonic. [Update Handsonic] is not implemented.

List of Presets

List of Controllers


HPD-15 Presets

[HPD-15 Presets Bank 1]

0=P01-01 Latin - Conga
1=P01-02 Latin - Bongo
2=P01-03 Latin - Timbales
3=P01-04 Latin - LatinToys
4=P01-05 Latin - CongaBongo
5=P01-06 Latin - TimbaleMix
6=P01-07 Latin - Conga II
7=P01-08 Latin - Bongo II
8=P01-09 Latin - TimbalesII
9=P01-10 Latin - Bongo-BRS-
10=P01-11 Latin - TimbalSong
11=P01-12 Latin - Steel Drum
12=P01-13 Latin - Pandeiro
13=P01-14 Latin - Surdo
14=P01-15 Latin - ESCOLA
15=P01-16 Latin - Berimbau
16=P01-17 Latin - PandeiroII
17=P01-18 Latin - SurdoII
18=P01-19 Latin - Brazil Mix
19=P01-20 Latin - Perc Echoes
20=P01-21 Latin - SpaceConga
21=P01-22 Latin - 808 Latin
22=P02-01 African - TalkingDrm
23=P02-02 African - Djembe S
24=P02-03 African - Djembe L
25=P02-04 African - Frame Drum
26=P02-05 African - Pot Drum
27=P02-06 African - Kalimba
28=P02-07 African - Log Drum
29=P02-08 African - Balaphone
30=P02-09 African - Gyilli
31=P02-10 African - AfroZither
32=P02-11 African - MonguDrum
33=P02-12 African - AfricaToys
34=P02-13 African - Gyilli&Cng
35=P02-14 African - NaturePerc
36=P02-15 African - GyiliBalaph
37=P02-16 African - TalkDrm II
38=P02-17 African - PotDrum II
39=P03-01 Indian - Tabla
40=P03-02 Indian - Dholak
41=P03-03 Indian - Madal
42=P03-04 Indian - Dhol
43=P03-05 Indian - DrmOfIndia
44=P03-06 Indian - MadalTalan
45=P03-07 Indian - Tabla II
46=P03-08 Indian - Tabla III
47=P03-09 Indian - TABLATIX
48=P03-10 Indian - Sitar
49=P03-11 Indian - Santoor Maj
50=P03-12 Indian - Santoor Min
51=P03-13 Indian - Tambura
52=P03-14 Indian - Darabukka
53=P03-15 Indian - Rek
54=P03-16 Indian - Doholla
55=P03-17 Indian - Doira
56=P03-18 Indian - Turk-Mltry
57=P04-01 Asian - JAPAN
58=P04-02 Asian - MATSURI
59=P04-03 Asian - CHINA
60=P04-04 Asian - Yang Qin
61=P04-05 Asian - Korean4Drm
62=P04-06 Asian - Gamelan
63=P04-07 Asian - JavaGamelan
64=P04-08 Asian - BaliGamelan
65=P04-09 Asian - Bali&Java
66=P04-10 Asian - Gongs
67=P04-11 Asian - Angklung
68=P04-12 Asian - Bonang
69=P04-13 Asian - Gender
70=P04-14 Asian - Saron
71=P05-01 Orch - Vibraphone
72=P05-02 Orch - Glockenspl
73=P05-03 Orch - Xylophone
74=P05-04 Orch - Marimba
75=P05-05 Orch - Bs Marimba
76=P05-06 Orch - TubularBel
77=P05-07 Orch - Timpani
78=P05-08 Orch - Orch Hit
79=P05-09 Orch - LightOrch
80=P05-10 Orch - OrchPerc
81=P05-11 Orch - Aux Perc
82=P06-01 Drums - Standard
83=P06-02 Drums - Jazzbrush
84=P06-03 Drums - Analog
85=P06-04 Drums - TR-808
86=P06-05 Drums - TR-909
87=P06-06 Drums - Studio
88=P06-07 Drums - Rock Stage
89=P06-08 Drums - Swing
90=P06-09 Drums - Brushes
91=P06-10 Drums - Orch Set
92=P06-11 Drums - Mexi-Set
93=P06-12 Drums - Hi-Boy
94=P06-13 Drums - Low&Dry
95=P06-14 Drums - Jazz Mix
96=P06-15 Drums - JzBrush&Bs
97=P06-16 Drums - BluesClub
98=P06-17 Drums - Drum&Horns
99=P06-18 Drums - TechnoGate
100=P06-19 Drums - FlangeDrms
101=P06-20 Drums - JunkyDrums
102=P06-21 Drums - Brush Box
103=P07-01 Dance - Clap&Scrch
104=P07-02 Dance - FILTERED
105=P07-03 Dance - Trash Beat
106=P07-04 Dance - LatinHouse
107=P07-05 Dance - Techey
108=P07-06 Dance - TechDance
109=P07-07 Dance - EthniDance
110=P07-08 Dance - Cosmo 21
111=P07-09 Dance - Industrial
112=P07-10 Dance - UndaGround
113=P07-11 Dance - StreetBeat
114=P07-12 Dance - 909-2000
115=P07-13 Dance - AlienDance
116=P07-14 Dance - TechNow
117=P07-15 Dance - Sweep 808
118=P07-16 Dance - Revolution
119=P07-17 Dance - BackBeat
120=P07-18 Dance - AmberWater
121=P07-19 Dance - SynthDrums
122=P07-20 Dance - DiscoTica
123=P07-21 Dance - Dance 6
124=P07-22 Dance - Lock Out
125=P07-23 Dance - DanceMenu1
126=P07-24 Dance - DanceMenu2

127=P08-01 Sfx - PsycoDrama

[HPD-15 Presets Bank 2]

0=P08-02 Sfx - Forest
1=P08-03 Sfx - GrandBlue
2=P08-04 Sfx - NoiseSonic
3=P08-05 Sfx - ArpegPerc
4=P08-06 Sfx - CartoonFx
5=P08-07 Sfx - Silly Fx
6=P08-08 Sfx - Rol&FiltMe
7=P08-09 Sfx - MetalMania
8=P08-10 Sfx - ChaosSoniq
9=P08-11 Sfx - SFX Menu 1
10=P08-12 Sfx - SFX Menu 2
11=P08-13 Sfx - SFX Menu 3

12=P09-01 Others - Laserwave
13=P09-02 Others - Heavy Gtr
14=P09-03 Others - Acous Bass
15=P09-04 Others - SH101 Bass
16=P09-05 Others - Flute
17=P09-06 Others - Syn String
18=P09-07 Others - Saw Wave
19=P09-08 Others - Juno Rave
20=P09-09 Others - Fantasia
21=P09-10 Others - Thick Pad
22=P09-11 Others - Calliope
23=P09-12 Others - Melody-808
24=P10-01 Loops - Latin Loop
25=P10-02 Loops - Samba Loop
26=P10-03 Loops - AfricaLoop
27=P10-04 Loops - IndianLoop
28=P10-05 Loops - Asian Loop
29=P10-06 Loops - FusionLoop
30=P10-07 Loops - Dance Loop
31=P10-08 Loops - Shot & Tap


HPD-15 Controllers

0=0-Bank Select
1=1-LFO PITCH
4=4-Foot Control
5=5-Portamento Time
6=6-Data Entry
7=7-Volume
10=10-PAN
11=11-LEVEL
12=12-M-FX DEPTH
16=16-A1 Position
17=17-A5 Position
38=38-Data Entry LSB
64=64-Hold 1
66=66-Modify Lock
67=67-Modify Clear
70=70-SWEEP
74=74-COLOR
76=76-LFO RATE
81=81-D BEAM
82=82-RL Controller
83=83-RR Controller
84=84-Portamento Control
91=91-Effect1 (Reverb Send Level)
92=92-Effect2 (LFO FLT/AMP)
94=94-MULTI EFFECTS
98=98-NRPN LSB
99=99-NRPN MSB
100=100-RPN LSB
101=101-RPN MSB
120=120-All Sounds Off
121=121-Reset All Controllers
123=123-All Notes Off
124=124-Omni Off
125=125-Omni On
126=126-Mono
127=127-Poly